<?php

declare(strict_types=1);

namespace Gls\GlsPoland\AdePlus\Type;

final class CPODsArray
{
    /**
     * @var \Gls\GlsPoland\AdePlus\Type\CPOD
     */
    private $items;

    public function getItems(): CPOD
    {
        return $this->items;
    }

    public function withItems(CPOD $items): CPODsArray
    {
        $new = clone $this;
        $new->items = $items;

        return $new;
    }
}
